Package org.eclipse.ecf.provider.comm

## Class DisconnectEvent

- java.lang.Object
- - org.eclipse.ecf.provider.comm.ConnectionEvent
  - - org.eclipse.ecf.provider.comm.DisconnectEvent

All Implemented Interfaces:
  `Event`

    public class DisconnectEvent
    extends ConnectionEvent

Disconnection event

### Constructor Summary

Constructors
`DisconnectEvent​(IAsynchConnection conn, Throwable e, Object data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getException()`
`String` `toString()`

### Methods inherited from class org.eclipse.ecf.provider.comm.ConnectionEvent

`getConnection, getData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DisconnectEvent

    public DisconnectEvent​(IAsynchConnection conn,
                           Throwable e,
                           Object data)

### Method Detail

#### getException

    public Throwable getException()

#### toString

    public String toString()

Overrides:
  `toString` in class `ConnectionEvent`